#
# spec file for package openh264
#


%define sover 5

Name:           openh264
Version:        2.0.0
Release:        1.1
Summary:        H.264 codec library
Group:          Productivity/Multimedia/Other
License:        BSD-2-Clause
URL:            http://www.openh264.org/
Source0:        https://github.com/cisco/openh264/archive/v%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM openh264-refix-oss-buzz-bug.patch
Patch0:         openh264-refix-oss-buzz-bug.patch

BuildRequires:  c++_compiler
BuildRequires:  pkgconfig
BuildRequires:  nasm

%description
OpenH264 is a codec library which supports H.264 encoding and decoding. It is
suitable for use in real time applications such as WebRTC.

%package -n     lib%{name}-%{sover}
Summary:        Shared library package for %{name}
Group:          System/Libraries

%description -n lib%{name}-%{sover}
This package contains the shared libraries of %{name}

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       lib%{name}-%{sover} = %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
# Update the makefile with our build options
sed -i -e 's|^CFLAGS_OPT=.*$|CFLAGS_OPT=%{optflags}|' Makefile
sed -i -e 's|^PREFIX=.*$|PREFIX=%{_prefix}|' Makefile
sed -i -e 's|^LIBDIR_NAME=.*$|LIBDIR_NAME=%{_lib}|' Makefile
sed -i -e 's|^SHAREDLIB_DIR=.*$|SHAREDLIB_DIR=%{_libdir}|' Makefile
%make_build

%install
%make_install

# Remove static libraries
find %{buildroot} -type f -name "*.a" -delete -print
# Remove libtool .la files
find %{buildroot} -type f -name "*.la" -delete -print

%post -n lib%{name}-%{sover} -p /sbin/ldconfig
%postun -n lib%{name}-%{sover} -p /sbin/ldconfig

%files -n lib%{name}-%{sover}
%license LICENSE
%{_libdir}/libopenh264.so.*

%files devel
%doc README.md
%dir %{_includedir}/wels
%{_includedir}/wels/codec_*.h
%{_libdir}/libopenh264.so
%{_libdir}/pkgconfig/openh264.pc

%changelog
* Sat Jul  6 2019 zaitor@opensuse.org
- Initial package for openSUSE.
